// Code generated by protoc-gen-go. DO NOT EDIT.
// versions:
// 	protoc-gen-go v1.26.0
// 	protoc        v3.14.0
// source: dance_types.proto

package facility

import (
	protoreflect "google.golang.org/protobuf/reflect/protoreflect"
	protoimpl "google.golang.org/protobuf/runtime/protoimpl"
	reflect "reflect"
	sync "sync"
)

const (
	// Verify that this generated code is sufficiently up-to-date.
	_ = protoimpl.EnforceVersion(20 - protoimpl.MinVersion)
	// Verify that runtime/protoimpl is sufficiently up-to-date.
	_ = protoimpl.EnforceVersion(protoimpl.MaxVersion - 20)
)

type DanceNetwork struct {
	state         protoimpl.MessageState
	sizeCache     protoimpl.SizeCache
	unknownFields protoimpl.UnknownFields

	DanceAddrV4      uint32            `protobuf:"varint,1,opt,name=dance_addr_v4,json=danceAddrV4,proto3" json:"dance_addr_v4,omitempty"`                                                                                       // 4
	DanceAddrV6      []byte            `protobuf:"bytes,2,opt,name=dance_addr_v6,json=danceAddrV6,proto3" json:"dance_addr_v6,omitempty"`                                                                                        // 16
	SubnetMask       uint32            `protobuf:"varint,3,opt,name=subnet_mask,json=subnetMask,proto3" json:"subnet_mask,omitempty"`                                                                                            // 4
	Domain           string            `protobuf:"bytes,4,opt,name=domain,proto3" json:"domain,omitempty"`                                                                                                                       // N
	Gateway          uint32            `protobuf:"varint,5,opt,name=gateway,proto3" json:"gateway,omitempty"`                                                                                                                    // 4
	Search           []string          `protobuf:"bytes,6,rep,name=search,proto3" json:"search,omitempty"`                                                                                                                       // N
	DhcpOptions      map[uint32][]byte `protobuf:"bytes,7,rep,name=dhcp_options,json=dhcpOptions,proto3" json:"dhcp_options,omitempty" protobuf_key:"varint,1,opt,name=key,proto3" protobuf_val:"bytes,2,opt,name=value,proto3"` // N
	ServiceInterface string            `protobuf:"bytes,8,opt,name=service_interface,json=serviceInterface,proto3" json:"service_interface,omitempty"`                                                                           // N
	NextServer       uint32            `protobuf:"varint,9,opt,name=next_server,json=nextServer,proto3" json:"next_server,omitempty"`                                                                                            // 4
	TftpBootloader   string            `protobuf:"bytes,10,opt,name=tftp_bootloader,json=tftpBootloader,proto3" json:"tftp_bootloader,omitempty"`                                                                                // N
}

func (x *DanceNetwork) Reset() {
	*x = DanceNetwork{}
	if protoimpl.UnsafeEnabled {
		mi := &file_dance_types_proto_msgTypes[0]
		ms := protoimpl.X.MessageStateOf(protoimpl.Pointer(x))
		ms.StoreMessageInfo(mi)
	}
}

func (x *DanceNetwork) String() string {
	return protoimpl.X.MessageStringOf(x)
}

func (*DanceNetwork) ProtoMessage() {}

func (x *DanceNetwork) ProtoReflect() protoreflect.Message {
	mi := &file_dance_types_proto_msgTypes[0]
	if protoimpl.UnsafeEnabled && x != nil {
		ms := protoimpl.X.MessageStateOf(protoimpl.Pointer(x))
		if ms.LoadMessageInfo() == nil {
			ms.StoreMessageInfo(mi)
		}
		return ms
	}
	return mi.MessageOf(x)
}

// Deprecated: Use DanceNetwork.ProtoReflect.Descriptor instead.
func (*DanceNetwork) Descriptor() ([]byte, []int) {
	return file_dance_types_proto_rawDescGZIP(), []int{0}
}

func (x *DanceNetwork) GetDanceAddrV4() uint32 {
	if x != nil {
		return x.DanceAddrV4
	}
	return 0
}

func (x *DanceNetwork) GetDanceAddrV6() []byte {
	if x != nil {
		return x.DanceAddrV6
	}
	return nil
}

func (x *DanceNetwork) GetSubnetMask() uint32 {
	if x != nil {
		return x.SubnetMask
	}
	return 0
}

func (x *DanceNetwork) GetDomain() string {
	if x != nil {
		return x.Domain
	}
	return ""
}

func (x *DanceNetwork) GetGateway() uint32 {
	if x != nil {
		return x.Gateway
	}
	return 0
}

func (x *DanceNetwork) GetSearch() []string {
	if x != nil {
		return x.Search
	}
	return nil
}

func (x *DanceNetwork) GetDhcpOptions() map[uint32][]byte {
	if x != nil {
		return x.DhcpOptions
	}
	return nil
}

func (x *DanceNetwork) GetServiceInterface() string {
	if x != nil {
		return x.ServiceInterface
	}
	return ""
}

func (x *DanceNetwork) GetNextServer() uint32 {
	if x != nil {
		return x.NextServer
	}
	return 0
}

func (x *DanceNetwork) GetTftpBootloader() string {
	if x != nil {
		return x.TftpBootloader
	}
	return ""
}

type DanceEntry struct {
	state         protoimpl.MessageState
	sizeCache     protoimpl.SizeCache
	unknownFields protoimpl.UnknownFields

	Ipv4  uint32   `protobuf:"varint,1,opt,name=ipv4,proto3" json:"ipv4,omitempty"`  // 4
	Ipv6  []byte   `protobuf:"bytes,2,opt,name=ipv6,proto3" json:"ipv6,omitempty"`   // 16
	Names []string `protobuf:"bytes,3,rep,name=names,proto3" json:"names,omitempty"` // N
}

func (x *DanceEntry) Reset() {
	*x = DanceEntry{}
	if protoimpl.UnsafeEnabled {
		mi := &file_dance_types_proto_msgTypes[1]
		ms := protoimpl.X.MessageStateOf(protoimpl.Pointer(x))
		ms.StoreMessageInfo(mi)
	}
}

func (x *DanceEntry) String() string {
	return protoimpl.X.MessageStringOf(x)
}

func (*DanceEntry) ProtoMessage() {}

func (x *DanceEntry) ProtoReflect() protoreflect.Message {
	mi := &file_dance_types_proto_msgTypes[1]
	if protoimpl.UnsafeEnabled && x != nil {
		ms := protoimpl.X.MessageStateOf(protoimpl.Pointer(x))
		if ms.LoadMessageInfo() == nil {
			ms.StoreMessageInfo(mi)
		}
		return ms
	}
	return mi.MessageOf(x)
}

// Deprecated: Use DanceEntry.ProtoReflect.Descriptor instead.
func (*DanceEntry) Descriptor() ([]byte, []int) {
	return file_dance_types_proto_rawDescGZIP(), []int{1}
}

func (x *DanceEntry) GetIpv4() uint32 {
	if x != nil {
		return x.Ipv4
	}
	return 0
}

func (x *DanceEntry) GetIpv6() []byte {
	if x != nil {
		return x.Ipv6
	}
	return nil
}

func (x *DanceEntry) GetNames() []string {
	if x != nil {
		return x.Names
	}
	return nil
}

// A dns-only ipv4 entry a single name in the associated etcd key may map to
// multiple addresses
type DanceDns4Entry struct {
	state         protoimpl.MessageState
	sizeCache     protoimpl.SizeCache
	unknownFields protoimpl.UnknownFields

	Ipv4 []uint32 `protobuf:"varint,1,rep,packed,name=ipv4,proto3" json:"ipv4,omitempty"`
}

func (x *DanceDns4Entry) Reset() {
	*x = DanceDns4Entry{}
	if protoimpl.UnsafeEnabled {
		mi := &file_dance_types_proto_msgTypes[2]
		ms := protoimpl.X.MessageStateOf(protoimpl.Pointer(x))
		ms.StoreMessageInfo(mi)
	}
}

func (x *DanceDns4Entry) String() string {
	return protoimpl.X.MessageStringOf(x)
}

func (*DanceDns4Entry) ProtoMessage() {}

func (x *DanceDns4Entry) ProtoReflect() protoreflect.Message {
	mi := &file_dance_types_proto_msgTypes[2]
	if protoimpl.UnsafeEnabled && x != nil {
		ms := protoimpl.X.MessageStateOf(protoimpl.Pointer(x))
		if ms.LoadMessageInfo() == nil {
			ms.StoreMessageInfo(mi)
		}
		return ms
	}
	return mi.MessageOf(x)
}

// Deprecated: Use DanceDns4Entry.ProtoReflect.Descriptor instead.
func (*DanceDns4Entry) Descriptor() ([]byte, []int) {
	return file_dance_types_proto_rawDescGZIP(), []int{2}
}

func (x *DanceDns4Entry) GetIpv4() []uint32 {
	if x != nil {
		return x.Ipv4
	}
	return nil
}

type DanceService struct {
	state         protoimpl.MessageState
	sizeCache     protoimpl.SizeCache
	unknownFields protoimpl.UnknownFields

	Priority uint32 `protobuf:"varint,1,opt,name=priority,proto3" json:"priority,omitempty"`
	Weight   uint32 `protobuf:"varint,2,opt,name=weight,proto3" json:"weight,omitempty"`
	Port     uint32 `protobuf:"varint,3,opt,name=port,proto3" json:"port,omitempty"`
	Service  string `protobuf:"bytes,4,opt,name=service,proto3" json:"service,omitempty"`
	Proto    string `protobuf:"bytes,5,opt,name=proto,proto3" json:"proto,omitempty"`
	Name     string `protobuf:"bytes,7,opt,name=name,proto3" json:"name,omitempty"`
	Target   string `protobuf:"bytes,6,opt,name=target,proto3" json:"target,omitempty"`
}

func (x *DanceService) Reset() {
	*x = DanceService{}
	if protoimpl.UnsafeEnabled {
		mi := &file_dance_types_proto_msgTypes[3]
		ms := protoimpl.X.MessageStateOf(protoimpl.Pointer(x))
		ms.StoreMessageInfo(mi)
	}
}

func (x *DanceService) String() string {
	return protoimpl.X.MessageStringOf(x)
}

func (*DanceService) ProtoMessage() {}

func (x *DanceService) ProtoReflect() protoreflect.Message {
	mi := &file_dance_types_proto_msgTypes[3]
	if protoimpl.UnsafeEnabled && x != nil {
		ms := protoimpl.X.MessageStateOf(protoimpl.Pointer(x))
		if ms.LoadMessageInfo() == nil {
			ms.StoreMessageInfo(mi)
		}
		return ms
	}
	return mi.MessageOf(x)
}

// Deprecated: Use DanceService.ProtoReflect.Descriptor instead.
func (*DanceService) Descriptor() ([]byte, []int) {
	return file_dance_types_proto_rawDescGZIP(), []int{3}
}

func (x *DanceService) GetPriority() uint32 {
	if x != nil {
		return x.Priority
	}
	return 0
}

func (x *DanceService) GetWeight() uint32 {
	if x != nil {
		return x.Weight
	}
	return 0
}

func (x *DanceService) GetPort() uint32 {
	if x != nil {
		return x.Port
	}
	return 0
}

func (x *DanceService) GetService() string {
	if x != nil {
		return x.Service
	}
	return ""
}

func (x *DanceService) GetProto() string {
	if x != nil {
		return x.Proto
	}
	return ""
}

func (x *DanceService) GetName() string {
	if x != nil {
		return x.Name
	}
	return ""
}

func (x *DanceService) GetTarget() string {
	if x != nil {
		return x.Target
	}
	return ""
}

var File_dance_types_proto protoreflect.FileDescriptor

var file_dance_types_proto_rawDesc = []byte{
	0x0a, 0x11, 0x64, 0x61, 0x6e, 0x63, 0x65, 0x5f, 0x74, 0x79, 0x70, 0x65, 0x73, 0x2e, 0x70, 0x72,
	0x6f, 0x74, 0x6f, 0x12, 0x08, 0x66, 0x61, 0x63, 0x69, 0x6c, 0x69, 0x74, 0x79, 0x22, 0xc4, 0x03,
	0x0a, 0x0c, 0x44, 0x61, 0x6e, 0x63, 0x65, 0x4e, 0x65, 0x74, 0x77, 0x6f, 0x72, 0x6b, 0x12, 0x22,
	0x0a, 0x0d, 0x64, 0x61, 0x6e, 0x63, 0x65, 0x5f, 0x61, 0x64, 0x64, 0x72, 0x5f, 0x76, 0x34, 0x18,
	0x01, 0x20, 0x01, 0x28, 0x0d, 0x52, 0x0b, 0x64, 0x61, 0x6e, 0x63, 0x65, 0x41, 0x64, 0x64, 0x72,
	0x56, 0x34, 0x12, 0x22, 0x0a, 0x0d, 0x64, 0x61, 0x6e, 0x63, 0x65, 0x5f, 0x61, 0x64, 0x64, 0x72,
	0x5f, 0x76, 0x36, 0x18, 0x02, 0x20, 0x01, 0x28, 0x0c, 0x52, 0x0b, 0x64, 0x61, 0x6e, 0x63, 0x65,
	0x41, 0x64, 0x64, 0x72, 0x56, 0x36, 0x12, 0x1f, 0x0a, 0x0b, 0x73, 0x75, 0x62, 0x6e, 0x65, 0x74,
	0x5f, 0x6d, 0x61, 0x73, 0x6b, 0x18, 0x03, 0x20, 0x01, 0x28, 0x0d, 0x52, 0x0a, 0x73, 0x75, 0x62,
	0x6e, 0x65, 0x74, 0x4d, 0x61, 0x73, 0x6b, 0x12, 0x16, 0x0a, 0x06, 0x64, 0x6f, 0x6d, 0x61, 0x69,
	0x6e, 0x18, 0x04, 0x20, 0x01, 0x28, 0x09, 0x52, 0x06, 0x64, 0x6f, 0x6d, 0x61, 0x69, 0x6e, 0x12,
	0x18, 0x0a, 0x07, 0x67, 0x61, 0x74, 0x65, 0x77, 0x61, 0x79, 0x18, 0x05, 0x20, 0x01, 0x28, 0x0d,
	0x52, 0x07, 0x67, 0x61, 0x74, 0x65, 0x77, 0x61, 0x79, 0x12, 0x16, 0x0a, 0x06, 0x73, 0x65, 0x61,
	0x72, 0x63, 0x68, 0x18, 0x06, 0x20, 0x03, 0x28, 0x09, 0x52, 0x06, 0x73, 0x65, 0x61, 0x72, 0x63,
	0x68, 0x12, 0x4a, 0x0a, 0x0c, 0x64, 0x68, 0x63, 0x70, 0x5f, 0x6f, 0x70, 0x74, 0x69, 0x6f, 0x6e,
	0x73, 0x18, 0x07, 0x20, 0x03, 0x28, 0x0b, 0x32, 0x27, 0x2e, 0x66, 0x61, 0x63, 0x69, 0x6c, 0x69,
	0x74, 0x79, 0x2e, 0x44, 0x61, 0x6e, 0x63, 0x65, 0x4e, 0x65, 0x74, 0x77, 0x6f, 0x72, 0x6b, 0x2e,
	0x44, 0x68, 0x63, 0x70, 0x4f, 0x70, 0x74, 0x69, 0x6f, 0x6e, 0x73, 0x45, 0x6e, 0x74, 0x72, 0x79,
	0x52, 0x0b, 0x64, 0x68, 0x63, 0x70, 0x4f, 0x70, 0x74, 0x69, 0x6f, 0x6e, 0x73, 0x12, 0x2b, 0x0a,
	0x11, 0x73, 0x65, 0x72, 0x76, 0x69, 0x63, 0x65, 0x5f, 0x69, 0x6e, 0x74, 0x65, 0x72, 0x66, 0x61,
	0x63, 0x65, 0x18, 0x08, 0x20, 0x01, 0x28, 0x09, 0x52, 0x10, 0x73, 0x65, 0x72, 0x76, 0x69, 0x63,
	0x65, 0x49, 0x6e, 0x74, 0x65, 0x72, 0x66, 0x61, 0x63, 0x65, 0x12, 0x1f, 0x0a, 0x0b, 0x6e, 0x65,
	0x78, 0x74, 0x5f, 0x73, 0x65, 0x72, 0x76, 0x65, 0x72, 0x18, 0x09, 0x20, 0x01, 0x28, 0x0d, 0x52,
	0x0a, 0x6e, 0x65, 0x78, 0x74, 0x53, 0x65, 0x72, 0x76, 0x65, 0x72, 0x12, 0x27, 0x0a, 0x0f, 0x74,
	0x66, 0x74, 0x70, 0x5f, 0x62, 0x6f, 0x6f, 0x74, 0x6c, 0x6f, 0x61, 0x64, 0x65, 0x72, 0x18, 0x0a,
	0x20, 0x01, 0x28, 0x09, 0x52, 0x0e, 0x74, 0x66, 0x74, 0x70, 0x42, 0x6f, 0x6f, 0x74, 0x6c, 0x6f,
	0x61, 0x64, 0x65, 0x72, 0x1a, 0x3e, 0x0a, 0x10, 0x44, 0x68, 0x63, 0x70, 0x4f, 0x70, 0x74, 0x69,
	0x6f, 0x6e, 0x73, 0x45, 0x6e, 0x74, 0x72, 0x79, 0x12, 0x10, 0x0a, 0x03, 0x6b, 0x65, 0x79, 0x18,
	0x01, 0x20, 0x01, 0x28, 0x0d, 0x52, 0x03, 0x6b, 0x65, 0x79, 0x12, 0x14, 0x0a, 0x05, 0x76, 0x61,
	0x6c, 0x75, 0x65, 0x18, 0x02, 0x20, 0x01, 0x28, 0x0c, 0x52, 0x05, 0x76, 0x61, 0x6c, 0x75, 0x65,
	0x3a, 0x02, 0x38, 0x01, 0x22, 0x4a, 0x0a, 0x0a, 0x44, 0x61, 0x6e, 0x63, 0x65, 0x45, 0x6e, 0x74,
	0x72, 0x79, 0x12, 0x12, 0x0a, 0x04, 0x69, 0x70, 0x76, 0x34, 0x18, 0x01, 0x20, 0x01, 0x28, 0x0d,
	0x52, 0x04, 0x69, 0x70, 0x76, 0x34, 0x12, 0x12, 0x0a, 0x04, 0x69, 0x70, 0x76, 0x36, 0x18, 0x02,
	0x20, 0x01, 0x28, 0x0c, 0x52, 0x04, 0x69, 0x70, 0x76, 0x36, 0x12, 0x14, 0x0a, 0x05, 0x6e, 0x61,
	0x6d, 0x65, 0x73, 0x18, 0x03, 0x20, 0x03, 0x28, 0x09, 0x52, 0x05, 0x6e, 0x61, 0x6d, 0x65, 0x73,
	0x22, 0x24, 0x0a, 0x0e, 0x44, 0x61, 0x6e, 0x63, 0x65, 0x44, 0x6e, 0x73, 0x34, 0x45, 0x6e, 0x74,
	0x72, 0x79, 0x12, 0x12, 0x0a, 0x04, 0x69, 0x70, 0x76, 0x34, 0x18, 0x01, 0x20, 0x03, 0x28, 0x0d,
	0x52, 0x04, 0x69, 0x70, 0x76, 0x34, 0x22, 0xb2, 0x01, 0x0a, 0x0c, 0x44, 0x61, 0x6e, 0x63, 0x65,
	0x53, 0x65, 0x72, 0x76, 0x69, 0x63, 0x65, 0x12, 0x1a, 0x0a, 0x08, 0x70, 0x72, 0x69, 0x6f, 0x72,
	0x69, 0x74, 0x79, 0x18, 0x01, 0x20, 0x01, 0x28, 0x0d, 0x52, 0x08, 0x70, 0x72, 0x69, 0x6f, 0x72,
	0x69, 0x74, 0x79, 0x12, 0x16, 0x0a, 0x06, 0x77, 0x65, 0x69, 0x67, 0x68, 0x74, 0x18, 0x02, 0x20,
	0x01, 0x28, 0x0d, 0x52, 0x06, 0x77, 0x65, 0x69, 0x67, 0x68, 0x74, 0x12, 0x12, 0x0a, 0x04, 0x70,
	0x6f, 0x72, 0x74, 0x18, 0x03, 0x20, 0x01, 0x28, 0x0d, 0x52, 0x04, 0x70, 0x6f, 0x72, 0x74, 0x12,
	0x18, 0x0a, 0x07, 0x73, 0x65, 0x72, 0x76, 0x69, 0x63, 0x65, 0x18, 0x04, 0x20, 0x01, 0x28, 0x09,
	0x52, 0x07, 0x73, 0x65, 0x72, 0x76, 0x69, 0x63, 0x65, 0x12, 0x14, 0x0a, 0x05, 0x70, 0x72, 0x6f,
	0x74, 0x6f, 0x18, 0x05, 0x20, 0x01, 0x28, 0x09, 0x52, 0x05, 0x70, 0x72, 0x6f, 0x74, 0x6f, 0x12,
	0x12, 0x0a, 0x04, 0x6e, 0x61, 0x6d, 0x65, 0x18, 0x07, 0x20, 0x01, 0x28, 0x09, 0x52, 0x04, 0x6e,
	0x61, 0x6d, 0x65, 0x12, 0x16, 0x0a, 0x06, 0x74, 0x61, 0x72, 0x67, 0x65, 0x74, 0x18, 0x06, 0x20,
	0x01, 0x28, 0x09, 0x52, 0x06, 0x74, 0x61, 0x72, 0x67, 0x65, 0x74, 0x42, 0x2a, 0x5a, 0x28, 0x67,
	0x69, 0x74, 0x6c, 0x61, 0x62, 0x2e, 0x63, 0x6f, 0x6d, 0x2f, 0x6d, 0x65, 0x72, 0x67, 0x65, 0x74,
	0x62, 0x2f, 0x66, 0x61, 0x63, 0x69, 0x6c, 0x69, 0x74, 0x79, 0x2f, 0x61, 0x70, 0x69, 0x3b, 0x66,
	0x61, 0x63, 0x69, 0x6c, 0x69, 0x74, 0x79, 0x62, 0x06, 0x70, 0x72, 0x6f, 0x74, 0x6f, 0x33,
}

var (
	file_dance_types_proto_rawDescOnce sync.Once
	file_dance_types_proto_rawDescData = file_dance_types_proto_rawDesc
)

func file_dance_types_proto_rawDescGZIP() []byte {
	file_dance_types_proto_rawDescOnce.Do(func() {
		file_dance_types_proto_rawDescData = protoimpl.X.CompressGZIP(file_dance_types_proto_rawDescData)
	})
	return file_dance_types_proto_rawDescData
}

var file_dance_types_proto_msgTypes = make([]protoimpl.MessageInfo, 5)
var file_dance_types_proto_goTypes = []interface{}{
	(*DanceNetwork)(nil),   // 0: facility.DanceNetwork
	(*DanceEntry)(nil),     // 1: facility.DanceEntry
	(*DanceDns4Entry)(nil), // 2: facility.DanceDns4Entry
	(*DanceService)(nil),   // 3: facility.DanceService
	nil,                    // 4: facility.DanceNetwork.DhcpOptionsEntry
}
var file_dance_types_proto_depIdxs = []int32{
	4, // 0: facility.DanceNetwork.dhcp_options:type_name -> facility.DanceNetwork.DhcpOptionsEntry
	1, // [1:1] is the sub-list for method output_type
	1, // [1:1] is the sub-list for method input_type
	1, // [1:1] is the sub-list for extension type_name
	1, // [1:1] is the sub-list for extension extendee
	0, // [0:1] is the sub-list for field type_name
}

func init() { file_dance_types_proto_init() }
func file_dance_types_proto_init() {
	if File_dance_types_proto != nil {
		return
	}
	if !protoimpl.UnsafeEnabled {
		file_dance_types_proto_msgTypes[0].Exporter = func(v interface{}, i int) interface{} {
			switch v := v.(*DanceNetwork); i {
			case 0:
				return &v.state
			case 1:
				return &v.sizeCache
			case 2:
				return &v.unknownFields
			default:
				return nil
			}
		}
		file_dance_types_proto_msgTypes[1].Exporter = func(v interface{}, i int) interface{} {
			switch v := v.(*DanceEntry); i {
			case 0:
				return &v.state
			case 1:
				return &v.sizeCache
			case 2:
				return &v.unknownFields
			default:
				return nil
			}
		}
		file_dance_types_proto_msgTypes[2].Exporter = func(v interface{}, i int) interface{} {
			switch v := v.(*DanceDns4Entry); i {
			case 0:
				return &v.state
			case 1:
				return &v.sizeCache
			case 2:
				return &v.unknownFields
			default:
				return nil
			}
		}
		file_dance_types_proto_msgTypes[3].Exporter = func(v interface{}, i int) interface{} {
			switch v := v.(*DanceService); i {
			case 0:
				return &v.state
			case 1:
				return &v.sizeCache
			case 2:
				return &v.unknownFields
			default:
				return nil
			}
		}
	}
	type x struct{}
	out := protoimpl.TypeBuilder{
		File: protoimpl.DescBuilder{
			GoPackagePath: reflect.TypeOf(x{}).PkgPath(),
			RawDescriptor: file_dance_types_proto_rawDesc,
			NumEnums:      0,
			NumMessages:   5,
			NumExtensions: 0,
			NumServices:   0,
		},
		GoTypes:           file_dance_types_proto_goTypes,
		DependencyIndexes: file_dance_types_proto_depIdxs,
		MessageInfos:      file_dance_types_proto_msgTypes,
	}.Build()
	File_dance_types_proto = out.File
	file_dance_types_proto_rawDesc = nil
	file_dance_types_proto_goTypes = nil
	file_dance_types_proto_depIdxs = nil
}
